> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/sui/grpc/suix_getallbalances-15.md).

# VerifySignature

#### **Parameters:**

**address** - [string](https://docs.sui.io/references/fullnode-protocol#string)  Address to validate against the provided signature. If provided, this address will be compared against the the address derived from the provide signature and a successful response will only be returned if they match.

**jwks** - [ActiveJwk](https://docs.sui.io/references/fullnode-protocol#sui-rpc-v2beta2-ActiveJwk) The set of JWKs to use when verifying Zklogin signatures. If this is empty the current set of valid JWKs stored onchain will be used

**message** - [Bcs](https://docs.sui.io/references/fullnode-protocol#sui-rpc-v2beta2-Bcs) The message to verify against. Today the only supported message types are `PersonalMessage` and `TransactionData` and the `Bcs.name` must be set to indicate which type of message is being verified.

**signature** - [UserSignature](https://docs.sui.io/references/fullnode-protocol#sui-rpc-v2beta2-UserSignature) The siganture to verify.

#### **Returns:**

**is\_valid** - [bool](https://docs.sui.io/references/fullnode-protocol#bool) Indicates if the provided signature was valid given the requested parameters.

**reason** - [string](https://docs.sui.io/references/fullnode-protocol#string) If `is_valid` is `false`, this is the reason for why the signature verification failed.

#### Example:

{% code overflow="wrap" %}

```json
grpcurl -proto .sui/rpc/v2/signature_verification_service.proto
-H "x-token: YOUR_TOKEN_VALUE" 
-d 
'{
  "signature": [ ... ]

}' 
sui.blockpi.network:443 sui.rpc.v2.SignatureVerificationService/VerifySignature
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/sui/grpc/suix_getallbalances-15.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
